# Test3d
Low-tech computing for Minetest
## Memory access
Memory access in this mod occurs over digilines, with the channel as the prefix plus the memory address, and the message as either the new value or 'get' to get it returned, so for example:

|Prefix	|Address	| Value	| Channel	| Message	|
|-------|---------------|-------|---------------|---------------|
|A	| 1		| 4	| A1		| 4		|
|Default| 15		| get	| DefaultF	| get		|

## T400
### Instructions
TOS = top of stack

| ins	 | function			|    mnemonic	|
|--------|------------------------------|---------------|
|4095	 | duplicate TOS		| dup		|
|4094	 | swap TOS			| swp		|
|4093	 | read memory from TOS		| read		|
|4092	 | write to memory from TOS	| write		|
|4091	 | add TOS			| add		|
|4090	 | suptract TOS			| sub		|
|4089	 | jump to TOS			| jmp		|
|4088	 | skip if TOS = zero		| sez		|

## T416
The T416 is a 16-word memory. It stores 16 ints and is accessed as described in the Memory access section.
